NaviServer - programmable web server

[ Main Table Of Contents | Table Of Contents | Keyword Index ]

# ns_socklistencallback(n) 4.99.8 naviserver "NaviServer Built-in Commands"

## Name

ns_socklistencallback - Run script on connection

## Table Of Contents

## Synopsis

- ns_socklistencallback address port script

## Description

This function listens on the specified address and port and runs the specified script when new connections are received.

## COMMANDS

ns_socklistencallback address port script

## EXAMPLES

## See Also

nsd

## Keywords

NaviServer, callback, listen, socket